---
title: prefix
slug: Web/CSS/@counter-style/prefix
tags:
  - '@counter-style'
  - At-rule descriptor
  - CSS
  - CSS Counter Styles
  - CSS Descriptor
  - Reference
---
<div>{{CSSRef}}</div>

<p>The <code><strong>prefix</strong></code> descriptor of the {{cssxref('@counter-style')}} rule specifies content that will be prepended to the marker representation. If not specified, the default value will be <code>""</code> (an empty string).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css notranslate">/* &lt;symbol&gt; values */
prefix: "»";
prefix: "Page ";
prefix: url(bullet.png);
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>&lt;symbol&gt;</code></dt>
 <dd>Specifies a <code>&lt;symbol&gt;</code> that is prepended to the marker representation. It may be a {{cssxref("&lt;string&gt;")}}, {{cssxref("&lt;image&gt;")}}, or {{cssxref("&lt;custom-ident&gt;")}}.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

 <h2 id="Examples">Examples</h2>

<h3 id="Adding_a_prefix_to_a_counter">Adding a prefix to a counter</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;ul class="index"&gt;
  &lt;li&gt;The Boy Who Lived&lt;/li&gt;
  &lt;li&gt;The Vanishing Glass&lt;/li&gt;
  &lt;li&gt;The Letters from No One&lt;/li&gt;
  &lt;li&gt;The Keeper of the Keys&lt;/li&gt;
  &lt;li&gt;Diagon Alley&lt;/li&gt;
&lt;/ul&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">@counter-style chapters {
  system: numeric;
  symbols: "0" "1" "2" "3" "4" "5" "6" "7" "8" "9";
  prefix: 'Chapter ';
}

.index {
  list-style: chapters;
  padding-left: 15ch;
}</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Adding_a_prefix_to_a_counter') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Counter Styles', '#descdef-counter-style-prefix', 'prefix')}}</td>
   <td>{{Spec2('CSS3 Counter Styles')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.counter-style.prefix")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{Cssxref("list-style")}}, {{Cssxref("list-style-image")}}, {{Cssxref("list-style-position")}}</li>
 <li>{{cssxref("symbols", "symbols()")}}, the functional notation creating anonymous counter styles</li>
</ul>
